from pydantic import TypeAdapter

from .types import InspectionUnion, MainlineInspectionUnion, ManholeInspectionUnion

# TypeAdapter(s) for the discriminated union
InspectionAdapter = TypeAdapter(InspectionUnion)
MainlineInspectionAdapter = TypeAdapter(MainlineInspectionUnion)
ManholeInspectionAdapter = TypeAdapter(ManholeInspectionUnion)
